Bug 1317428 - Invalid volume: being attached by another instance to caller
Invalid volume: being attached by another instance to caller
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
6.0 (Juno)
All Linux
unspecified Severity high
: ---
: 6.0 (Juno)
Assigned To: Eric Harney
nlevinki
: Reopened, Unconfirmed, ZStream
Depends On: 1266718
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-14 04:57 EDT by Pablo Iranzo Gómez
Modified: 2016-07-21 10:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1266718
Environment:
Last Closed: 2016-07-21 10:42:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Sergey Gotliv 2016-03-30 05:06:15 EDT
Pablo,

nova compute logs are missing. According to the customer case:

"""
But, in /var/log/nova/nova-compute.log we can see the following error:

2016-03-08 10:42:02.157 31018 TRACE nova.compute.manager [instance: ac1c7a41-fb72-4918-ad4f-f7411f71aacc] InvalidInput: Invalid input received: Invalid volume: being attached by another instance
"""

Which means something happened on Mar 08, 2016 but since compute log is completely missing and cinder volume log from March 08 is also missing its impossible to understand what happened.

It looks like attach has failed somewhere between Nova and Cinder but hard to say something more specific.

Please, attach a missing logs or ask the customer to reproduce the case and reopen that BZ.

Note You need to log in before you can comment on or make changes to this bug.